Subject: Re: bug#64745: [guix-past] channel derivation broken after recent u-boot update

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Thu, 20 Jul 2023 23:52:44 +0200

Janneke Nieuwenhuizen writes:

Hello again,

>> It appears that the Guix-Past channel now fails to build like so:
[..]
>> (exception unbound-variable (value #f) (value "Unbound variable: ~S") (value (crust-pine64-plus)) (value #f))
[..]
>> I suspect it's caused by the commit
>> ed5dc3a25d858a394bb7db937a51d866c3cdc6ed ("gnu: u-boot: Add crust
>> firmware to pinebook, pine64_plus and pine64-lts."), although I don't
>> understand why.
>
> I've hit a simimilar problem when attempting to build guix
> (./pre-inst-env guix build guix for x86_64) on hurd-team.
>
> [ 39%] GUILEC   gnu/packages/fsf.go
> [ 39%] GUILEC   gnu/packages/ftp.go
> [ 39%] GUILEC   gnu/packages/fribidi.go
> [ 39%] GUILEC   gnu/packages/fvwm.go
> Compiling Scheme modules...
> [ 39%] LOAD     gnu/packages/game-development.scm
> ice-9/eval.scm:293:34: error: crust-pine64-plus: unbound variable
> hint: Did you forget a `use-modules' form?
>
> The hurd-team branch has (two) `make update-guix-package' commits
> because it has guix build fixes for the hurd.

As discussed on IRC, I can confirm ed5dc3a25d858a394bb7db937a51d866c3cdc6ed 
is causing this for me.  When I revert it before `make update-guix-package',
then the build phase of `./pre-inst-env guix build guix (x86_64)
succeeds.

Completely unrelated but sadly, the check phase fails

--8<---------------cut here---------------start------------->8---
FAIL: tests/packages.scm
FAIL: tests/store-roots.scm
FAIL: tests/texlive.scm
--8<---------------cut here---------------end--------------->8---

so I'm skipping those patches for now on hurd-team.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com